tunnels:
  - name: h1
    addr: 127.0.0.1
    port: 8888
    autoStart: true
    input:
      protocol: http
    output:
      protocol: shadowsocks
      serverAddr: example.com
      serverPort: 32323
      method: aes-256-cfb
      password: 123423123
  - name: l1
    addr: 127.0.0.1
    port: 11111
    autoStart: true
    input:
      protocol: socks5
    output:
      protocol: shadowsocks
      serverAddr: 127.0.0.1
      serverPort: 22222
      method: aes-256-gcm
      password: 123456
  - name: r1
    addr: 
    port: 22222
    autoStart: true
    input:
      protocol: shadowsocks
      method: aes-256-gcm
      password: 123456
    output:
      protocol: socks5
      serverAddr: 127.0.0.1
      serverPort: 33333
      username: aes-256-gcm
      password: 123456
  - name: r2
    addr: 127.0.0.1
    port: 33333
    autoStart: true
    input:
      protocol: socks5
      username: aes-256-gcm
      password: 123456
    output:
      protocol: shadowsocks
      serverAddr: example.ss.com
      serverPort: 31108
      method: aes-256-cfb
      password: NNPf8lp123
  - name: gastly
    addr: 127.0.0.1
    port: 12224
    autoStart: true
    input:
      protocol: socks5
    output:
      protocol: gastly
      serverAddr: 127.0.0.1
      serverPort: 13131
      username:
      password:
      format: bson
  - name: gastly-2
    addr: 127.0.0.1
    port: 13131
    autoStart: true
    input:
      protocol: gastly
      fake_host: https://www.qq.com
      crt: ./private.crt
      key: ./private.key
      storage_type: none
      format: json
    output:
      protocol: direct
